package scopes_test

import (
	tbase "testing"

	"git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/testing"
	"git.sr.ht/~cco/go-scopes/tests/etc"
)

func TestConfig(tb *tbase.T) {
	t := testing.SetUpApp(tb, etc.Config())
	t.Run("config", ConfigTest)
}

func ConfigTest(t *testing.T) {
	cfg := etc.Config()
	t.AssertEqual(cfg.Name(), "testing")
	appCfg := cfg.(*scopes.Cfg)
	t.AssertEqual(appCfg.Home, "tests")
	confCtx := t.Ctx.Services()["config"]
	t.AssertEqual(confCtx.Config().Name(), "config")
}
